Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
__sFILE Struct Reference

## Data Fields
unsigned char * | _p
size_t | _w
short | _flags
short | _file
struct __sbuf | _bf
size_t | _lbfsize
int(* | vwrite )()
char *(* | vextra )()

## Detailed Description

Definition at line 175 of file vsnprintf.c.

## Field Documentation

struct __sbuf __sFILE::_bf

Definition at line 183 of file vsnprintf.c.

Referenced by ruby_snprintf(), and ruby_vsnprintf().

short __sFILE::_file

Definition at line 182 of file vsnprintf.c.

Referenced by BSD_vfprintf().

short __sFILE::_flags

Definition at line 181 of file vsnprintf.c.

Referenced by BSD__sfvwrite(), BSD_vfprintf(), ruby_snprintf(), and ruby_vsnprintf().

size_t __sFILE::_lbfsize

Definition at line 184 of file vsnprintf.c.

unsigned char* __sFILE::_p

Definition at line 176 of file vsnprintf.c.

Referenced by BSD__sfvwrite(), ruby_snprintf(), and ruby_vsnprintf().

size_t __sFILE::_w

Definition at line 180 of file vsnprintf.c.

Referenced by BSD__sfvwrite(), ruby_snprintf(), and ruby_vsnprintf().

char*(* __sFILE::vextra)()

Definition at line 186 of file vsnprintf.c.

Referenced by BSD_vfprintf(), ruby_snprintf(), and ruby_vsnprintf().

int(* __sFILE::vwrite)()

Definition at line 185 of file vsnprintf.c.

Referenced by BSD__sprint(), ruby_snprintf(), and ruby_vsnprintf().

The documentation for this struct was generated from the following file:

- vsnprintf.c